@font-face {
    font-family: 'Nunito';
    src: url('../assets/fonts/Nunito-VariableFont_wght.ttf');
}

:root
{
    --font-family: 'Nunito';
    
    --font-size: 18pt;
    --font-size-menu: 18pt;
    --font-size-title: 20pt;
    --font-size-privacy-imprint: 12pt;

    --color-fore: #707070;
    --color-back: #FFFFFF; /* ToDo: which back color? */

    --color-back-menu: var(--color-back);
    --color-fore-menu: var(--color-fore);

    --width-menu: 340px;

    --width-title: 340px;
    --height-title: 60px;

    --width-banner: 340px;
    --height-banner: 300px;

    --width-footer: 340px;
    --height-footer: 80px;

    --size-project-item: 300px;

}

html
{
    font-family: var(--font-family);

    background-color: var(--color-back);
    color: var(--color-fore);
}

body
{
    margin: 0;
    padding: 0;
    min-height: 100vh;
}

a
{
    font-style: normal;
    text-decoration: none;

    color: inherit;
}

h1
{
    font-style: normal;
}

h2
{
    font-style: normal;
}

address
{
    font-style: normal;
}

.sidebar
{
    display: none;
}

nav
{
    list-style: none;
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 340px;
    position: fixed;
    background-color: #ffffff;
    display:block;
    text-align: center;
}

nav ul
{ 
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
    font-size: 18pt;
    display: block;
}
nav li.menu
{
    margin:20px;
}

nav li.footer
{
    color: #c5c5c5;
    margin:0;
    margin-top: 100%;
    padding: 0;
    list-style: none;
    font-size: 12pt;
    display:flex;
    text-align: center;
    justify-content: space-around;
    align-items: center;
    position: sticky;
    bottom:10px;
}

nav a:hover 
{
  color: #000000;
}

.site
{
    position: absolute;
    width: calc(100% - var(--width-menu) - 2 * var(--spacing));
    /* height: calc(100% - 2 * var(--spacing));*/
    max-width: 1060px;
    top: 0;
    left: calc(var(--width-menu) + (100% - var(--width-menu) - min(1060px, 100% - var(--width-menu))) / 2);

    padding: 20px;

    text-align: start;

}

.project-list
{
    display: flex;
    flex-wrap: wrap;
    min-height: 300px;
    min-width: 300px;
    padding: 20px;
    column-gap: 20px;
    row-gap: 20px;
    justify-content: start;
   
    text-align: center;
}

.project-list-item
{
    display: block;

    color: white;
    width: var(--size-project-item);
    height: var(--size-project-item);

    background-repeat: no-repeat;
    background-position: center, center;
    background-size: contain;
}

.project-title
{
    width:100%;
    height: 100%;
    top: 0;
    left: 0;
    position: relative;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: 0.5s;
}

.project-title:hover
{
    opacity: 1;
}

.project-title p
{
    font-size: 18pt;
    color:#FFFFFF;
    margin-top: auto;
}

.project-content
{
    top: 0;
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: repeat;
    justify-content: center;
}

.project-content-gallery
{
    top: 0;
    margin: 0;
    padding: 0;
    bottom: 0;
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: repeat;
    justify-content: space-evenly;
}

.project-picture
{
    top: 0;
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 1060px;
    max-height: 90%;
}

.sidebar
{
    display: none;
}
/* @media screen and (max-width:768px) 
{
    .sidebar
    {
        position: fixed;
        top: 0;
        left:  0;
        height: 100vh;
        width: 100%;
        z-index: 999;
        background-color: #FFFFFF;

        display: block;
    }
    .sidebar div 
    {
        padding: 20px;
        background-color: rgb(182, 182, 182);
        color:#000000;
    }
    .sidebar div :hover 
    {
        text-shadow: #555555 1px 0 10px;
    }

    .sidebar li
    {
        text-align: center;
        padding:10px;
    }
    .sidebar li :hover
    {
        text-shadow: #7e7e7e 1px 0 10px;
    }

    body
    {
        position: fixed;
        top: 0;
        left:  0;
        height: 100vh;
        width: 100%;
        z-index: 999;
        background-color: #FFFFFF;

        display: grid;

    }
    
} */